org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryCopyRevisionProperties

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<SVNAdminEvent>
      - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryCopyRevisionProperties

- All Implemented Interfaces:
    ISvnObjectReceiver<SVNAdminEvent>, ISvnOperationOptionsProvider

      public class SvnRepositoryCopyRevisionProperties
      extends SvnRepositoryReceivingOperation<SVNAdminEvent>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnRepositoryCopyRevisionProperties(SvnOperationFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getEndRevision()`
    `long` | `getStartRevision()`
    `SVNURL` | `getToURL()`
    `void` | `setEndRevision(long endRevision)`
    `void` | `setStartRevision(long startRevision)`
    `void` | `setToURL(SVNURL toURL)`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation

      `getRepositoryRoot, setRepositoryRoot`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

      `first, getReceiver, initDefaults, last, receive, run, setReceiver`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRepositoryCopyRevisionProperties

          public SvnRepositoryCopyRevisionProperties(SvnOperationFactory factory)

  - ### Method Detail

    - #### getToURL

          public SVNURL getToURL()

    - #### setToURL

          public void setToURL(SVNURL toURL)

    - #### getStartRevision

          public long getStartRevision()

    - #### setStartRevision

          public void setStartRevision(long startRevision)

    - #### getEndRevision

          public long getEndRevision()

    - #### setEndRevision

          public void setEndRevision(long endRevision)